Bitcoin Forum
December 07, 2016, 06:43:13 PM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: HELP please Cgminer segfaults all the time  (Read 5355 times)
alatus
Member
**
Offline Offline

Activity: 74


View Profile
April 11, 2012, 03:44:31 PM
 #1

Please Dear Sirs, I am desperate!

Using AMD SDK 2.6, Catalyst 12.3, Ubundu 10.04 amd_64 and latest Cgminer from git repo.

aticonfig sees adapter, all is fine.

./configure goes OK, GPU support enabled.

Make goes well, and than sorrow: cgminer exits with segmentation fault.
Verbose, debug or only display info ALL fails.

Only thing I can get is --help. Tried also -T for text only, no joy.

Any suggestions?

Thanks!
1481136193
Hero Member
*
Offline Offline

Posts: 1481136193

View Profile Personal Message (Offline)

Ignore
1481136193
Reply with quote  #2

1481136193
Report to moderator
1481136193
Hero Member
*
Offline Offline

Posts: 1481136193

View Profile Personal Message (Offline)

Ignore
1481136193
Reply with quote  #2

1481136193
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1481136193
Hero Member
*
Offline Offline

Posts: 1481136193

View Profile Personal Message (Offline)

Ignore
1481136193
Reply with quote  #2

1481136193
Report to moderator
1481136193
Hero Member
*
Offline Offline

Posts: 1481136193

View Profile Personal Message (Offline)

Ignore
1481136193
Reply with quote  #2

1481136193
Report to moderator
1481136193
Hero Member
*
Offline Offline

Posts: 1481136193

View Profile Personal Message (Offline)

Ignore
1481136193
Reply with quote  #2

1481136193
Report to moderator
Doff
Sr. Member
****
Offline Offline

Activity: 327


View Profile
April 12, 2012, 03:30:02 AM
 #2

I have the same problem when I manually add the SDK's using the cgminer README doesent matter wich one I add 2.4, 2.5, 2.6 all segfault with no debug info.

The way I fix it is to reinstall the 12.3 driver with sh amd-driver-installer-12-3-x86.x86_64.run --force.  Id love to know how to get SDK 2.4, 2.5 working with 12.3.
alatus
Member
**
Offline Offline

Activity: 74


View Profile
April 12, 2012, 12:48:16 PM
 #3

Holy Mary!

Sounds esoteric - considering the fact that I've installed the driver with sh ... (without --force though).

I'll give it a try and report back.
alatus
Member
**
Offline Offline

Activity: 74


View Profile
April 12, 2012, 01:07:23 PM
 #4

And it works.  Grin

Thanks for the hack! :-)

Cheers!
Doff
Sr. Member
****
Offline Offline

Activity: 327


View Profile
April 12, 2012, 02:49:59 PM
 #5

No problem I'm glad I could help Smiley
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!